/* page styles */
.ax-hidden {
  visibility: hidden;
  position: absolute;
}

/* karousel styles */
.karousel {
  --karousel-height: 100%;
  --karousel-width: 100%;
  --karousel-item-width: 20%;
  --karousel-item-height: 100%;
  width: 100%;
  height: 75%;
}

.karousel-container {
  align-items: center;
  display: flex;
  height: var(--karousel-height);
  margin: 0 auto;
  max-width: var(--karousel-width);
  position: relative;
}

.karousel-item {
  height: var(--karousel-item-height);
  opacity: 0;
  position: absolute;
  transform: translateX(-50%);
  transition: all 0.3s ease-in-out;
  width: var(--karousel-item-width);
  z-index: 0;
}

.karousel-item-1,
.karousel-item-5 {
  height: calc(var(--karousel-item-height) * 0.5);
  /*width: calc(var(--karousel-item-width) * 0.5);*/
}

.karousel-item-1 {
  left: 15%;
  opacity: 0.4;
}

.karousel-item-2,
.karousel-item-4 {
  height: calc(var(--karousel-item-height) * 0.75);
  opacity: 1;
  /*width: calc(var(--karousel-item-width) * 0.75);*/
  z-index: 1;
}

.karousel-item-2 {
  left: 20%;
}

.karousel-item-3 {
  box-shadow: 0 0 30px rgba(255, 255, 255, 0.6), 0 0 60px rgba(255, 255, 255, 0.45), 0 0 110px rgba(255, 255, 255, 0.25), 0 0 100px rgba(255, 255, 255, 0.1);
  height: var(--karousel-item-height);
  opacity: 1;
  left: 50%;
  width: 50%;
  /*width: calc(3 * var(--karousel-item-width));*/
  z-index: 2;
  background-color: blueviolet;
}

.karousel-item-3 h2::after{
  font-size: 50%;
  content:'(double-click to change)';
  display:block;
}

.karousel-item-4 {
  left: 80%;
}

.karousel-item-5 {
  left: 85%;
  opacity: 0.4;
}

/*.karousel-item-1 .chat,
.karousel-item-5 .chat {
  height: calc(var(--karousel-item-height) * 0.5);
}

.karousel-item-2 .chat,
.karousel-item-4 .chat {
  height: calc(var(--karousel-item-height) * 0.75);
}

.karousel-item-3 .chat {
  height: var(--karousel-item-height);
}*/

/*Big screens, change layout of chat (put chat on side)*/
@media screen and (min-width:2000px) {
  .karousel-item-3 .chat {
    display: inline-block;
    width: 30% !important; 
    height: 100% !important;
  }
  
  .karousel-item-3 .twitch-player {
    display: inline-block;
    width: 70% !important;
    height: 100% !important;
  }  
}

/*Small screens (mobile), make center stream bigger to avoid skinniness.*/
@media screen and (max-width: 500px) {
  .karousel-item-3 {
    width: 85%;
  }

  .karousel-item-1 {
    left: 5%;
  }

  .karousel-item-2 {
    left: 10%;
  }

  .karousel-item-4 {
    left: 90%;
  }

  .karousel-item-5 {
    left: 95%;
  }

  h1 {
    font-size: 20pt !important;
  }

  .karousel-item h2 {
    font-size: 12pt;
  }
}

.karousel-controls {
  display: flex;
  justify-content: center;
  margin: 30px 0;
}

/* karousel button styles */
.karousel-control {  
  background-color: transparent;
  border: 2px solid;
  border-radius: 4px;
  color: #aaa;
  cursor: pointer;
  height: 22px;
  margin: 0 20px;
  position: relative;
  transform: scale(1.5);
  transition: transform 0.5s ease-out;
  width: 22px;
}

.karousel-control:hover {
  transform: scale(1.3);
}

/* previous button */
.karousel-control-previous::after,
.karousel-control-previous::before {
  box-sizing: border-box; 
  content: '';
  display: block;
  height: 8px;
  position: absolute;
  top: 5px
}
.karousel-control-previous::before {
  background: currentColor;
  border-radius: 2px;
  right: 11px;
  width: 2px;
}
.karousel-control-previous::after {
  border-bottom: 4px solid transparent;
  border-right: 5px solid;
  border-top: 4px solid transparent;
  right: 5px;
  width: 0;
}

/* next button */
.karousel-control-next::after,
.karousel-control-next::before {
  box-sizing: border-box;
  content: "";
  display: block;
  height: 8px;
  position: absolute;
  top: 5px
}
.karousel-control-next::before {
  background: currentColor;
  border-radius: 2px;
  left: 11px;
  width: 2px;
}
.karousel-control-next::after {
  border-bottom: 4px solid transparent;
  border-left: 5px solid;
  border-top: 4px solid transparent;
  left: 5px;
  width: 0;
}

/* play button */
.karousel-control-play::before {
  border-bottom: 5px solid transparent;
  border-left: 6px solid;
  border-top: 5px solid transparent;
  box-sizing: border-box;
  content: "";
  display: block;
  height: 10px;
  position: absolute;
  left: 7px;
  top: 4px;
  width: 0;
}

/* pause button */
.karousel-control-play.playing::before {
  border-bottom: 0;
  border-left: 2px solid;
  border-right: 2px solid;
  border-top: 0;
  box-sizing: border-box;
  content: "";
  display: block;
  height: 6px;
  position: absolute;
  left: 6px;
  top: 6px; 
  width: 6px;
}

/* add button */
.karousel-control-mute::after,
.karousel-control-mute::before {
  background: currentColor;
  border-radius: 5px;
  box-sizing: border-box;
  /*content: "";*/
  display: block;
  height: 2px;
  position: absolute;
  left: 4px;
  top: 8px;
  width: 10px;
}
.karousel-control-mute::after {
  height: 10px;
  left: 8px;
  top: 4px;
  width: 2px;
}